DCMTK: ContentIdentificationMacro Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
ContentIdentificationMacro Class Reference

Content Identification Macro. More...

## Classes
class | AlternateContentDescriptionItem
| Class representing an Alternate Content Description item. More...

## Public Member Functions
| ContentIdentificationMacro ()
| Constructor.
| ContentIdentificationMacro (const OFString &instanceNumber, const OFString &contentLabel, const OFString &contentDescription, const OFString &contentCreatorName)
| Constructor initializing basic data.
| ContentIdentificationMacro (const ContentIdentificationMacro &rhs)
| Copy constructor.
ContentIdentificationMacro & | operator= (const ContentIdentificationMacro &rhs)
| Assignment operator (deep copy).
virtual | ~ContentIdentificationMacro ()
| Virtual destructor.
virtual IODRules & | getIODRules ()
| Get rules for this data structure.
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of macro.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual OFCondition | getInstanceNumber (OFString &value, const signed long pos=0) const
| Get Instance Number.
virtual OFCondition | getContentLabel (OFString &value, const signed long pos=0) const
| Get Content Label.
virtual OFCondition | getContentDescription (OFString &value, const signed long pos=0) const
| Get Content Description.
virtual OFVector< AlternateContentDescriptionItem * > & | getAlternateContentDescription ()
| Get Alternate Content Description items.
virtual OFCondition | getContentCreatorName (OFString &value, const signed long pos=0) const
| Get Content Creator Name.
virtual CodeSequenceMacro & | getContentCreatorIdentificationCode ()
| Get Content Creator Identification Code.
virtual OFCondition | setInstanceNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set Instance Number.
virtual OFCondition | setContentLabel (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Label.
virtual OFCondition | setContentDescription (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Description.
virtual OFCondition | setContentCreatorName (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Creator Name.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Reads Content Identification Macro from given item.
virtual OFCondition | write (DcmItem &item)
| Write Content Identification Macro to given item.

## Static Public Member Functions
static OFCondition | create (const OFString &instanceNumber, const OFString &contentLabel, const OFString &contentDescription, const OFString &contentCreatorName, ContentIdentificationMacro *&result)
| Create Content Identification Macro with minimally required data.

## Private Attributes
DcmCodeString | m_ContentLabel
| Content Label: (CS, VM 1, Type 1).
DcmLongString | m_ContentDescription
| Content Description: (LO, VM 1, Type 1).
DcmPersonName | m_ContentCreatorName
| Content Creator's Name: (LO, VM 1, Type 2).
CodeSequenceMacro | m_ContentCreatorIdentificationCode
| Content Creator's Identification Code Sequence.
IODRules | m_IODRules
| IOD rules for this data structure.

## Detailed Description

Content Identification Macro.

## Constructor & Destructor Documentation

## ◆ ContentIdentificationMacro() [1/2]

ContentIdentificationMacro::ContentIdentificationMacro | ( | const OFString & | instanceNumber,
|  | const OFString & | contentLabel,
|  | const OFString & | contentDescription,
|  | const OFString & | contentCreatorName )

Constructor initializing basic data.

Parameters

  instanceNumber | Instance Number
  contentLabel | Content Label
  contentDescription | Content Description, may be empty
  contentCreatorName | Content Creator's Name, may be empty

## ◆ ContentIdentificationMacro() [2/2]

ContentIdentificationMacro::ContentIdentificationMacro | ( | const ContentIdentificationMacro & | rhs | ) |

Copy constructor.

Parameters

  rhs | The macro to copy from (deep copy)

References ContentIdentificationMacro().

## Member Function Documentation

## ◆ check()

virtual OFCondition ContentIdentificationMacro::check | ( | const OFBool | quiet = OFFalse | ) |
| virtual

Check whether this component's data satisfies the underlying rules.

Parameters

  quiet | If OFTrue, not error / warning messages will be produced. Only the returned error code will indicate error or OK. Per default, logging output is produced (OFFalse).

Returns
  EC_Normal if rules are satisfied, error otherwise

## ◆ create()

OFCondition ContentIdentificationMacro::create | ( | const OFString & | instanceNumber,
|  | const OFString & | contentLabel,
|  | const OFString & | contentDescription,
|  | const OFString & | contentCreatorName,
|  | ContentIdentificationMacro *& | result )
| static

Create Content Identification Macro with minimally required data.

Parameters

  instanceNumber | Instance Number
  contentLabel | Content Label
  contentDescription | Content Description, may be empty
  contentCreatorName | Content Creator's Name, may be empty
  result | Returns created macro if successful, NULL otherwise

Returns
  EC_Normal if creation was successful, error otherwise

References ContentIdentificationMacro().

## ◆ getAlternateContentDescription()

virtual OFVector< AlternateContentDescriptionItem * > & ContentIdentificationMacro::getAlternateContentDescription | ( |  | ) |
| virtual

Get Alternate Content Description items.

Returns
  Reference to the items

## ◆ getContentCreatorIdentificationCode()

virtual CodeSequenceMacro & ContentIdentificationMacro::getContentCreatorIdentificationCode | ( |  | ) |
| virtual

Get Content Creator Identification Code.

Returns
  Reference to code

## ◆ getContentCreatorName()

virtual OFCondition ContentIdentificationMacro::getContentCreatorName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Content Creator Name.

Parameters

  value | Variable to store the result to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## ◆ getContentDescription()

virtual OFCondition ContentIdentificationMacro::getContentDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Content Description.

Parameters

  value | Variable to store the result to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## ◆ getContentLabel()

virtual OFCondition ContentIdentificationMacro::getContentLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Content Label.

Parameters

  value | Variable to store the result to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## ◆ getInstanceNumber()

virtual OFCondition ContentIdentificationMacro::getInstanceNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Instance Number.

Parameters

  value | Variable to store the result to
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if value could be get, error otherwise

## ◆ getIODRules()

virtual IODRules & ContentIdentificationMacro::getIODRules | ( |  | ) |
| virtual

Get rules for this data structure.

Returns
  Reference to the rules

## ◆ getName()

virtual OFString ContentIdentificationMacro::getName | ( |  | ) | const
| virtual

Get name of macro.

Returns
  Name of the module ("ContentIdentificationMacro")

## ◆ operator=()

ContentIdentificationMacro & ContentIdentificationMacro::operator= | ( | const ContentIdentificationMacro & | rhs | ) |

Assignment operator (deep copy).

Parameters

  rhs | The macro to copy from

Returns
  Reference to "this" object

References ContentIdentificationMacro().

## ◆ read()

virtual OFCondition ContentIdentificationMacro::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Reads Content Identification Macro from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is cleared before reading, otherwise it is kept/overwritten

Returns
  EC_Normal if reading was successful, an error code otherwise

## ◆ setContentCreatorName()

virtual OFCondition ContentIdentificationMacro::setContentCreatorName | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Content Creator Name.

Parameters

  value | Value to be set
  checkValue | If OFTrue, value is checked for validity

Returns
  EC_Normal if setting was successful, error otherwise

## ◆ setContentDescription()

virtual OFCondition ContentIdentificationMacro::setContentDescription | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Content Description.

Parameters

  value | Value to be set
  checkValue | If OFTrue, value is checked for validity

Returns
  EC_Normal if setting was successful, error otherwise

## ◆ setContentLabel()

virtual OFCondition ContentIdentificationMacro::setContentLabel | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Content Label.

Parameters

  value | Value to be set
  checkValue | If OFTrue, value is checked for validity

Returns
  EC_Normal if setting was successful, error otherwise

## ◆ setInstanceNumber()

virtual OFCondition ContentIdentificationMacro::setInstanceNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Instance Number.

Parameters

  value | Value to be set
  checkValue | If OFTrue, value is checked for validity

Returns
  EC_Normal if setting was successful, error otherwise

## ◆ write()

virtual OFCondition ContentIdentificationMacro::write | ( | DcmItem & | item | ) |
| virtual

Write Content Identification Macro to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if successful, error otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1